#
# spec file for package cloop (Version 2.04)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel

# Commandline: 

Name:           cloop
BuildRequires:  %kernel_module_package_buildreq module-init-tools zlib-devel
License:        GPL v2 or later
Group:          System/Base
Version:        2.04
Release:        118.1
Source0:        %{name}_%{version}-1+eb.1-7.tar.gz
Source1:        Makefile
Patch0:         %{name}-largefile-patch
Patch2:         %{name}-not-in-mem
Patch3:         %{name}-buffercount-fix
Patch4:         %{name}-unsignedlong-compilefix
Patch5:         cloop.i_blksize.patch
Patch6:         cloop-buildfix.patch
Url:            http://developer.linuxtag.net/knoppix/sources/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Transparently Decompressing Loopback Block Device Utilities
%kernel_module_package -x kdump um

%description
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%debug_package
%package KMP
License:        GPL v2 or later
Group:          System/Base
Summary:        Transparently Decompressing Loopback Block Device Utilities

%description KMP
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%prep
%setup -q -n %{name}-%{version}-1+eb.1
%patch0
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6

%build
mv create_compressed_fs.c.deprecated create_compressed_fs.c
gcc $RPM_OPT_FLAGS -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o create_compressed_fs create_compressed_fs.c -lz 
gcc $RPM_OPT_FLAGS -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o extract_compressed_fs extract_compressed_fs.c -lz 
mkdir source obj
cp compressed_loop.{c,h} %_sourcedir/Makefile source/
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -k -C %{kernel_source $flavor} modules \
	 M=$PWD/obj/$flavor
done

%install
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -p *_compressed_fs $RPM_BUILD_ROOT/usr/sbin/.
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C %{kernel_source $flavor} modules_install \
	 M=$PWD/obj/$flavor
done

%clean
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README debian/changelog
/usr/sbin/*_compressed_fs

%changelog
* Wed Jun 06 2007 - ro@suse.de
- fix build with current kernel
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Fri Mar 30 2007 - aj@suse.de
- Add zlib-devel to BuildRequires.
* Wed Jan 24 2007 - olh@suse.de
- inode->i_blksize is gone in 2.6.20
* Mon Nov 06 2006 - duwe@suse.de
- fixed unsigned / unsigned long / unsigned long long confusion
- use RPM_OPT_FLAGS
* Fri Oct 20 2006 - agruen@suse.de
- Switch to the distribution-independent KMP macros.
* Fri Aug 18 2006 - ro@suse.de
- update to 2.04 to fix build with 2.6.18
* Sun Apr 02 2006 - agruen@suse.de
- convert-MODULE_PARM.diff: Convert from the obsolete MODULE_PARM
  to the new module_param.
* Fri Mar 03 2006 - snwint@suse.de
- create_compressed_fs liked to add zero-length buffer and failed
* Sun Feb 05 2006 - agruen@suse.de
- Convert to a Kernel Module Package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May 27 2005 - ro@suse.de
- remove nonsense from neededforbuild
* Thu Mar 17 2005 - duwe@suse.de
- if input size is known and output is seekable,
  don't keep the resulting cfs in RAM
* Thu Sep 02 2004 - duwe@suse.de
- ported to kernel 2.6.8
